Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Meetings

Enhanced APIs with New Device Features

API release

Summary:Added Meetings, Reports, & Devices APIs. Changed Reports & Meetings with new fields & requests.

Added

  • New Meetings API.
    • GET /v2/users/{userId}/upcoming_meetings
  • New Reports APIs.
    • GET /v2/report/meetings/{meetingId}/survey
    • GET /v2/accounts/{accountId}/report/meetings/{meetingId}/survey
    • GET /v2/report/webinars/{webinarId}/survey
    • GET /v2/accounts/{accountId}/report/webinars/{webinarId}/survey
  • New Devices API.
    • POST /v2/devices/zpa/upgrade

Changed

  • New answer_details, question_id, user_id, and create_time response fields in these Reports APIs.
    • GET /v2/accounts/{accountId}/report/webinars/{webinarId}/qa
    • GET /v2/report/webinars/{webinarId}/qa
    • GET /v2/report/meetings/{meetingId}/qa
    • GET /v2/accounts/{accountId}/report/meetings/{meetingId}/qa
  • New auto_start_ai_companion_questions and auto_start_meeting_summary response fields in these Meetings APIs.
    • POST /v2/users/{userId}/meetings
    • POST /v2/accounts/{accountId}/users/{userId}/meetings
    • GET /v2/meetings/{meetingId}
    • GET /v2/accounts/{accountId}/meetings/{meetingId}
  • New timezone request field in these Meetings APIs.
    • GET /v2/users/{userId}/meetings
    • GET /v2/accounts/{accountId}/users/{userId}/meetings
  • New auto_start_meeting_summary and auto_start_ai_companion_questions request fields in these Meetings APIs.
    • POST /v2/users/{userId}/meetings
    • POST /v2/accounts/{accountId}/users/{userId}/meetings
    • PATCH /v2/meetings/{meetingId}
    • PATCH /v2/accounts/{accountId}/meetings/{meetingId}
  • New bypass_waiting_room request field in this Meetings API.
    • GET /v2/meetings/{meetingId}/jointoken/local_recording
  • New extension_number and zdm_group_id request fields in this Devices API.
    • POST /v2/devices